#!/bin/bash

set -euxo pipefail;

file={{ backups_databases_directory | quote }}"/$1.sql.gpg";

mysqldump --opt --databases "$1" | buffer -m 128M -s 128K | gpg --quiet --no-verbose --encrypt --recipient {{ backup_gpg_fingerprint | quote }} --trust-model always > "$file";
chmod u+r-wx,g+r-wx,o+r-wx "$file";
{{ global_helper_directory | quote }}/backup_rename.sh "$file";
